package com.mindtherobot.mtrbeatz;

import android.app.Activity;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.widget.LinearLayout;

public class DrumMachineActivity extends Activity {
	
	@SuppressWarnings("unused")
	private static final String TAG = DrumMachineActivity.class.getSimpleName();
	
	private DrumMachine model;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        model = new DrumMachine(this);
        
        LinearLayout drumMachineLayout 
        	= (LinearLayout) LayoutInflater.from(this).inflate(R.layout.drum_machine, null);
        setContentView(drumMachineLayout);
        
        ButtonGridView grid = (ButtonGridView) drumMachineLayout.findViewById(R.id.button_grid);
        grid.setDrumMachineModel(model);
        
        LcdScreenView lcd = (LcdScreenView) drumMachineLayout.findViewById(R.id.lcd_screen);
        new DrumMachineLcdUpdater(lcd.getModel());
    }
}