package com.mindtherobot.mtrbeatz;

import java.util.Random;
import java.util.Timer;
import java.util.TimerTask;

import com.mindtherobot.mtrbeatz.LcdScreen.Mode;

import android.os.Handler;

public class DrumMachineLcdUpdater {
	private LcdScreen screen;
	
	private static Timer timer = new Timer();
	
	private Handler handler;
	
	private int mode = -1;
	
	private static Random random = new Random();
	
	public DrumMachineLcdUpdater(LcdScreen screen) {
		this.screen = screen;
		this.handler = new Handler();
		
		timer.schedule(new TimerTask() {
			@Override
			public void run() {
				handler.post(new Runnable() {
					@Override
					public void run() {
						updateScreen();						
					}
				});
			}
		}, 0, 10000L);
	}
	
	private void updateScreen() {
		int mode = this.mode;
		while (mode == this.mode) {
			mode = random.nextInt(3);
		}
		this.mode = mode;
		
		switch (mode) {
		case 0:
			screen.setMode(Mode.FLASHING);
			screen.setTargetString("-YEAH MON-");
			break;
		case 1:
			screen.setMode(Mode.TICKER);
			screen.setTargetString("** MINDTHEROBOT.COM **");
			break;
		case 2:
			screen.setMode(Mode.CENTER);
			screen.setTargetString("MTR BEAT");
			break;
		}
	}
}
